<script setup lang="ts">
  import { CmsBlockImageHighlightRow } from '@shopware-pwa/composables-next';

  const props = defineProps<{
    content: CmsBlockImageHighlightRow;
  }>();

  const { getSlotContent } = useCmsBlock(props.content);

  const leftContent = getSlotContent('left');
  const rightContent = getSlotContent('right');
  const centerContent = getSlotContent('center');
</script>
<template>
  <div class="grid gap-10 py-5 md:grid-cols-3">
    <CmsGenericElement :content="leftContent" />
    <CmsGenericElement :content="centerContent" />
    <CmsGenericElement :content="rightContent" />
  </div>
</template>

<style scoped>
  div[name='cms-block-image-highlight-row'] div[name='cms-element-image'] {
    @apply border-12 border-white;
  }
</style>
